function runscript()
	if (getflag(FLAG_JOHNNY_SHOT) == FLAG_OFF) then
		wait(20);
		speaker("johnny");
		say("||You two-timing son of a gun no one shoots an unarmed man besides Johnny Five Aces!")
		setflag(FLAG_JOHNNY_SHOT, FLAG_ON)
	end
end